package com.salpa.subject.domain.diff;

import com.salpa.subject.domain.data.DatabaseMeta;
import com.salpa.subject.domain.diff.data.RootDiff;
import com.salpa.subject.domain.diff.processor.DatabaseDiffProcessor;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class Diffs {

    private static final DatabaseDiffProcessor databaseDiffProcessor = new DatabaseDiffProcessor();

    public static RootDiff diff(DatabaseMeta original, DatabaseMeta current) {
        return databaseDiffProcessor.process(original, current);
    }

}
